Bug 186981 - policycoreutils should require audit
policycoreutils should require audit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 14:46 EST by Bernard Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.30.8-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 17:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2006-03-27 14:46:31 EST
Description of problem:
The program audit2allow requires the program ausearch.  ausearch is in the audit
rpm but is not required by policycoreutils.

Version-Release number of selected component (if applicable):
policycoreutils-1.29.26-6
audit-1.1.5-1

How reproducible:
Always

Steps to Reproduce:
1. audit2allow -a (without audit rpm installed)
2.
3.
  
Actual results:
[root@localhost ~]# audit2allow -a
sh: ausearch: command not found
/usr/bin/audit2allow: No AVC messages found.
[root@localhost ~]#

Expected results:
no error

Additional info:
Comment 1 Kam Leo 2006-04-04 00:11:05 EDT
1) I have performed both a x86_64 and a x86 installation of FC5 and Audit is not
installed. Why is audit not installed by default as in FC4? 

2) I used pirut to install additional software. I put a check on "System Tools"
but Audit is not automatically selected as part of the System Tools package
group.  Come on folks, if SELinux-enforcing is enabled by default install the
viewing/logging software to go accompany it.
Comment 2 Daniel Walsh 2006-04-05 09:12:42 EDT
policycoreutils should not require audit.  This is a but and it should realize
the command is not there and only look at /var/log/messages.  

Dan

This will be fixes in the next policycoreutils release, fixed in rawhide now.
Comment 3 Daniel Walsh 2006-05-09 17:38:37 EDT
Fixed in policycoreutils 1.30.8-1.fc5

Note You need to log in before you can comment on or make changes to this bug.